Bug 819086 - look for qemu-kvm on /usr/libexec
look for qemu-kvm on /usr/libexec
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
Depends On: 817566
  Show dependency treegraph
Reported: 2012-05-04 15:32 EDT by Eduardo Habkost
Modified: 2014-06-17 21:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: libguestfs-1.22.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 817566
Last Closed: 2013-11-12 03:52:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Richard W.M. Jones 2012-05-08 12:37:21 EDT
No package change is needed for this.  You just need
to rebuild libguestfs and the ./configure script will
find the new location of qemu.
Comment 2 Richard W.M. Jones 2013-07-18 11:59:45 EDT
According to the latest build log:

checking for qemu-kvm... /usr/libexec/qemu-kvm

(Go to http://download.devel.redhat.com/brewroot/packages/libguestfs/1.22.2/1.el7/data/logs/x86_64/
and click on 'build.log')

A quick way to check this on the installed package
is to run:

$ guestfish get-qemu

eg. on Fedora:

$ guestfish get-qemu

on RHEL 7:

$ guestfish get-qemu
Comment 4 Lingfei Kong 2013-11-08 01:31:20 EST
I can reproduced it with libguestfs-1.18.1-1.2.el7

Steps to reproduce:
1. download libguestfs-1.18.1-1.2.el7.x86_64.rpm
2. #rpm2cpio libguestfs-1.18.1-1.2.el7.x86_64.rpm|cpio -div
3. #strings ./usr/lib64/libguestfs.so.0|grep qemu-kvm

===> The qemu-kvm path is "/usr/bin/qemu-kvm" which should be "/usr/libexec/qemu-kvm"
Comment 5 Richard W.M. Jones 2013-11-08 03:43:32 EST
A better test is to type:

guestfish get-qemu
Comment 6 Lingfei Kong 2013-11-12 02:03:13 EST
Hi Richard,
I can not reproduce it with libguestfs-1.20.2-1.el7 and libguestfs-1.21.33-1.1.el7 or other libguestfs-1.2* which is earlier than libguestfs-1.22.2-1.el7, I execute "guestfish get-qemu", and the result is: /usr/libexec/qemu-kvm, Also I download the package and use "strings /usr/lib64/libguestfs.so | grep /usr/bin/qemu-kvm" to check, the results is also :/usr/libexec/qemu-kvm

I try to reproduce it with other version, I got libguestfs-1.18.1-1.2.el7
from brewweb, but can not install it in a RHEL7 host du to the package dependence. I try to resolve the dependence, but failed. So I just use "strings /usr/lib64/libguestfs.so | grep /usr/bin/qemu-kvm" to reproduce it. I think this way can used to reproduce this bug, but I need to confirm with you or get some advice.

Thanks & Regards.
Comment 7 Richard W.M. Jones 2013-11-12 03:52:29 EST
Basically this is not a bug we should worry about.

(a) It never appeared in a version available to customers.

(b) If it was broken, it would be very obvious to everyone.

So I would say just forget about reproducing it.  In fact, I'm going
to close it so we don't waste any more time on it.

Note You need to log in before you can comment on or make changes to this bug.